package pay_recharge

import (
	"context"

    "wechat-api/ent/payrecharge"
    "wechat-api/internal/svc"
    "wechat-api/internal/types"
    "wechat-api/internal/utils/dberrorhandler"

    "github.com/suyuan32/simple-admin-common/msg/errormsg"
    "github.com/zeromicro/go-zero/core/logx"
)

type DeletePayRechargeLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDeletePayRechargeLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DeletePayRechargeLogic {
	return &DeletePayRechargeLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DeletePayRechargeLogic) DeletePayRecharge(req *types.IDsReq) (*types.BaseMsgResp, error) {
	_, err := l.svcCtx.DB.PayRecharge.Delete().Where(payrecharge.IDIn(req.Ids...)).Exec(l.ctx)

    if err != nil {
		return nil, dberrorhandler.DefaultEntError(l.Logger, err, req)
	}

    return &types.BaseMsgResp{Msg: errormsg.DeleteSuccess}, nil
}
